VERSION 4.00
Begin VB.Form VerVrfy2 
   Appearance      =   0  'Flat
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Version Verify"
   ClientHeight    =   4875
   ClientLeft      =   1965
   ClientTop       =   1890
   ClientWidth     =   6165
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   1
      weight          =   700
      size            =   8.25
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   5280
   Icon            =   "VERVRFY2.frx":0000
   Left            =   1905
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4875
   ScaleWidth      =   6165
   Top             =   1545
   Width           =   6285
   Begin VB.CommandButton ExitBut 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Exit"
      Height          =   375
      Left            =   4830
      TabIndex        =   4
      Top             =   1140
      Width           =   1275
   End
   Begin VB.TextBox DetailText 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Height          =   2895
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   3
      Top             =   1890
      Width           =   5955
   End
   Begin VB.ListBox ConflictListBox 
      Appearance      =   0  'Flat
      Height          =   1005
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   4005
   End
   Begin VerstampLibDemoCtl.VersionStampDemo VersionStamper1 
      Left            =   5610
      Top             =   630
      _version        =   262144
      _extentx        =   847
      _extenty        =   847
      _stockprops     =   0
      selectfiles     =   "VERVRFY2.frx":030A
      selectfiles32   =   "VERVRFY2.frx":0320
      verifymode      =   0
      readproperrors  =   0   'False
      slave           =   -1  'True
      delay           =   0   'False
      filefilterext   =   ""
      otherpaths      =   ""
      pathfilter      =   6
      filefilter      =   3
   End
   Begin VB.Label Label2 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "Detail description of incompatibilities"
      ForeColor       =   &H80000008&
      Height          =   195
      Left            =   120
      TabIndex        =   2
      Top             =   1590
      Width           =   5955
   End
   Begin VB.Label Label1 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      Caption         =   "&Incompatible Files"
      ForeColor       =   &H80000008&
      Height          =   195
      Left            =   120
      TabIndex        =   0
      Top             =   180
      Width           =   1575
   End
End
Attribute VB_Name = "VerVrfy2"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit
#If Win32 Then
    Dim ListBoxTabs(3) As Long
    Dim TextBoxTabs(3) As Long
#Else
    Dim ListBoxTabs(3) As Integer
    Dim TextBoxTabs(3) As Integer
#End If

Private Sub ConflictListBox_Click()
Dim Index%
Dim tstr$

    'get index to selected list item
    Index% = ConflictListBox.ListIndex
    If Index% = -1 Then Exit Sub
    Index% = Index% + 1 'index to array begins at 1

    ' Get more information about each conflict.
    tstr$ = GetDetailConflictInfo(Index%)
    ' Place detail information about each conflict in a text box.
    DetailText.Text = tstr$

End Sub

Private Sub ExitBut_Click()
    Unload Me
End Sub

Private Sub Form_Load()
Dim lres As Long

    NL = Chr$(13) & Chr$(10)
    TB = Chr$(9)

    'set tabs
    ListBoxTabs(0) = 16 * 4
    ListBoxTabs(1) = ListBoxTabs(0) + 16 * 4
    ListBoxTabs(2) = ListBoxTabs(1) + 16 * 4

    TextBoxTabs(0) = 22 * 4
    TextBoxTabs(1) = TextBoxTabs(0) + 22 * 4
    TextBoxTabs(2) = TextBoxTabs(1) + 22 * 4

    ' Handle the monochrome case by going black on white
    If GetColorCount(Me) = 2 Then
        BackColor = QBColor(15)
        DetailText.BackColor = BackColor
    End If
    'set text box to read only
    lres = SendMessageByNum(DetailText.hWnd, EM_SETREADONLY, True, 0&)

    StartVerify VersionStamper1
    FillConflictFileListBox False, ConflictListBox
End Sub


Private Sub Form_Resize()
Dim lres As Long
    ' Set the tab stops in the list box
    lres = SendMessage(ConflictListBox.hWnd, LB_SETTABSTOPS, 3, ListBoxTabs(0))
    ' Set identical tab stops in the text box
    lres = SendMessage(DetailText.hWnd, EM_SETTABSTOPS, 3, TextBoxTabs(0))
End Sub


Private Sub VersionStamper1_EnumComplete()
    LogEnumComplete VersionStamper1
End Sub

'
' This event is triggered for each file that contained
' a conflict with the embedded file.
Private Sub VersionStamper1_FileConflict(ReferenceFile As String, FoundFile As String, flags As Long, StopVerify As Integer)
    LogFileConflict ReferenceFile, FoundFile, flags, StopVerify, VersionStamper1
End Sub

Private Sub VersionStamper1_FileScan(ReferenceFile As String, VerifyFlags As Long, StopScan As Integer)

    'Since all we need to do is make sure at least one file was found
    '(which tells us this EXE has embedded information), we can halt the scan.
    StopFileScan ReferenceFile, VerifyFlags, StopScan
End Sub

